[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Grids' (#lcl)

# TOnDrawCell

Defines the event handler signalled to draw a cell on a grid control.

## Declaration

Source position: grids.pas line 343

`type TOnDrawCell = procedure(`
`Sender: TObject;`
`aCol: Integer;`
`aRow: Integer;`
`aRect: TRect;`
`aState: TGridDrawState`
`) of object;`

## Arguments

`Sender` |  | Grid control for the event notification.
`aCol` |  | Column number to draw in the event handler.
`aRow` |  | Row number to draw in the event handler.
`aRect` |  | Rectangle to draw in the event handler.
`aState` |  | Grid drawing state used in the event handler.

## Description

TOnDrawCell is the type used to implement the OnDrawCell event handler in TCustomGrid.

## See also

TCustomGrid.OnDrawCell |  | Event handler signalled to draw a cell in the grid control.